shevek::server< client, serverdata >::connection(3)

NAME
shevek::server< client, serverdata >::connection - Base of the client class which is implemented by the calling program.

SYNOPSIS

#include <server.hh>

Inherits shevek::refbase.

  Public Member Functions

void continue_reading ()
This is called after in->unread (), to resume accepting data from this connection.
~connection ()
Destructor.

  Public Attributes

Glib::RefPtr< shevek::fd > in
The input socket. The client can stop reading from this connection by calling in->unread ().
Glib::RefPtr< shevek::fd > out
The output socket. This is used to send data to the connection.

  Protected Member Functions

connection ()
The client class can construct this object with its create function.
Glib::RefPtr< server< client, serverdata > > get_server ()
Access to the server object which hosts this client.
void disconnect ()
This can be called by the client object to close this connection.

  Friends

class server< client, serverdata >

Detailed Description

  template<typename client, typename serverdata>struct shevek::server< client, serverdata >::connection
Base of the client class which is implemented by the calling program.

A client object is created for every connection which is accepted. This class handles server administration and provides access to members from the client class.

Author

Generated automatically by Doxygen for libshevek from the source code.